Bug 1163909 - The definition of _sysconfdir rpm macro has broken since F20
Summary: The definition of _sysconfdir rpm macro has broken since F20
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scl-utils
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Jan Zeleny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-13 16:56 UTC by Mat Booth
Modified: 2015-01-03 19:10 UTC (History)
4 users (show)

Fixed In Version: scl-utils-20140815-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-03 19:09:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Mat Booth 2014-11-13 16:56:54 UTC
In Fedora 20, scl-utils-build defined the following macro:

%global _sysconfdir		%{_scl_root}/etc

In Fedora 21, this has changed to:

%global _sysconfdir             %{_root_sysconfdir}/opt/%{scl_vendor}/%{scl}

And now when I build my SCL packages on F21, my config files get installed into the wrong place!

Please can this be changed back?

Comment 1 Mat Booth 2014-11-13 17:04:47 UTC
It looks like the definitions of _sharedstatedir and _localstatedir have also changed.

Was this intentional?

Comment 2 Jan Zeleny 2014-11-14 09:37:40 UTC
Yes, this was completely intentional and in alignment with FPC request so they would accept SCL technology in Fedora. See bug 1066665 for details.

In the future versions of scl-utils we will make this configurable. As I was under the impression that scl-utils in Fedora are still yet to be used, I had no reason why to do it right away. If you wish, we can backport this change to the current Fedoras.

Comment 3 Mat Booth 2014-11-14 11:55:56 UTC
I see, in that case I can probably live with this by making sure $XDG_DATA_DIRS etc are set correctly in the SCL. Hopefully, nothing relies on the old location that can't be changed, we'll see...

BTW, I am publishing SCLs on Fedora since Fedora 20 [1] and it seems like I am not the only one. [2]

[1] https://www.softwarecollections.org/en/scls/mbooth/eclipse-luna/
[2] https://www.softwarecollections.org/en/scls/tag/fedora-20/

Comment 4 Mat Booth 2014-11-14 12:40:00 UTC
One thing that could still be a problem is that the %scl_files macro is no longer accurate.

It lists the following:

%{_scl_root}/etc/X11
%{_scl_root}/etc/xdg
%{_scl_root}/etc/opt
%{_scl_root}/etc/pm
%{_scl_root}/etc/xinetd.d
%{_scl_root}/etc/skel
%{_scl_root}/etc/sysconfig
%{_scl_root}/etc/pki

Should these all now be prefixed with %{_root_sysconfdir} ?

Comment 5 Fedora Update System 2014-12-12 11:24:33 UTC
scl-utils-20140815-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/scl-utils-20140815-3.fc20

Comment 6 Fedora Update System 2014-12-12 11:24:41 UTC
scl-utils-20140815-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/scl-utils-20140815-3.fc21

Comment 7 Mat Booth 2014-12-12 11:57:57 UTC
Hi, it does not look any patches are applied to this package.

When you use %autosetup, you still have to list the patches in the spec file with, e.g.:

Patch0: foo.patch
Patch1: barpatch

Comment 8 Mat Booth 2014-12-12 11:59:34 UTC
I can't see any patches being applied in the build log: https://kojipkgs.fedoraproject.org//packages/scl-utils/20140815/3.fc22/data/logs/i686/build.log

Comment 9 Mat Booth 2014-12-12 12:13:01 UTC
I cloned this package to try and build it locally, but "fedpkg prep" fails:

http://fpaste.org/159081/18386311/

Comment 10 Jan Zeleny 2014-12-12 14:51:10 UTC
That's weird ... when I create the srpm locally, all the patches are there ... let me investigate

Comment 11 Jan Zeleny 2014-12-12 15:30:23 UTC
Hmmm, seems that rpm lua sucks big time ... ok, I will remove the trick with automatic patch inclusion and name the patches there manually.

Comment 12 Mat Booth 2014-12-12 16:10:08 UTC
Okay great, will you issue new updates?

Comment 13 Jan Zeleny 2014-12-12 16:35:17 UTC
Done

Comment 14 Fedora Update System 2014-12-13 09:38:54 UTC
Package scl-utils-20140815-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scl-utils-20140815-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16820/scl-utils-20140815-4.fc20
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-01-03 19:09:00 UTC
scl-utils-20140815-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-01-03 19:10:57 UTC
scl-utils-20140815-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.